Subject: Re: remove special ioctl from hso driver, replace by rfkill

From: Greg KH <[email-masked]>
Date: Fri, 18 Apr 2008 09:25:13 -0700

On Fri, Apr 18, 2008 at 04:56:27PM +0300, Paulius Zaleckas wrote:
> Oliver Neukum wrote:
>> Hi,
>> could you test this patch?
>> It does away with the one off serial ioctl replacing it with a standard
>> mechanism.
>> 	Regards
>> 		Oliver
>
> I have tested rfkill and it realy works, but there is two problems:
>
> - LED on the device doesn't indicate rf state... Maybe Filip knows
>   some usb command to control it?
>
> - driver creates multiple rfkill entries on sysfs... This is because
>   option device has multi endpoints (probe is called twice with GTM380):

You mean "multiple interfaces" :)

And that's correct, for this device, that is the way it was created, so
either rfkill entry should work to shut off the radio...

thanks,

greg k-h